Bug 34231 - System Crash on Dell Optiplex G100
System Crash on Dell Optiplex G100
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-03-31 14:25 EST by Stephen John Smoogen
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-31 14:28:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen John Smoogen 2001-03-31 14:25:42 EST
I am trying to duplicate this reliably to better fill in a bug report,
but this is what I have currently.

Box had been upgraded via up2date from 0324 to 0328. I made the needed
changes to LILO and rebooted. The box came up into runlevel 5, and I
walked away. Came back an hour later and found the box in APM sleep
state and moved mouse. System seemed normal and I logged in.  Clicked on
xterm to start and esd began its clicking sound event and never stopped
(click click click click click in infinite 1 second between loop). Box
did not respond to Any sysreq keys and did not ping on the network
anymore. I didnt have the serial console set up so I rebooted.

Box checked filesystems ok and came up cleanly. I logged in again and
tried to duplicate the problem. No joy. Looked at the logs and found the

Mar 31 11:45:59 glasya modprobe: modprobe: Can't locate module
Mar 31 13:50:05 glasya gdm(pam_unix)[919]: session opened for user  
smooge by (uid=0)
Mar 31 13:50:06 glasya gdm[919]: gdm_slave_session_start: smooge on :0
Mar 31 13:50:07 glasya kernel: Creative EMU10K1 PCI Audio Driver,
version 0.7, 17:36:09 Mar 27 2001
Mar 31 13:50:07 glasya kernel: PCI: Found IRQ 9 for device 01:07.0
Mar 31 13:50:07 glasya kernel: PCI: The same IRQ used for device 00:01.0
Mar 31 13:50:07 glasya kernel: emu10k1: EMU10K1 rev 7 model 0x8022  
found, IO at 0xece0-0xecff, IRQ 9
Mar 31 13:50:07 glasya modprobe: modprobe: Can't locate module  
sound-service-0-3Mar 31 13:50:18 glasya gnome-name-server[1114]:
Mar 31 13:50:18 glasya gnome-name-server[1114]: name server starting
Mar 31 13:53:51 glasya syslogd 1.4-0: restart.

root:{smooge}# cat /proc/interrupts
  0:     115007          XT-PIC  timer
  1:       4900          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:       1680          XT-PIC  eth0
  8:          1          XT-PIC  rtc
  9:      89042          XT-PIC  EMU10K1
 11:          0          XT-PIC  usb-uhci
 12:      34975          XT-PIC  PS/2 Mouse
 14:      21260          XT-PIC  ide0
 15:          0          XT-PIC  ide1
NMI:          0
ERR:          0

root:{smooge}# lspci
00:00.0 Host bridge: Intel Corporation 82810-DC100 GMCH [Graphics Memory
Controller Hub] (rev 03)
00:01.0 VGA compatible controller: Intel Corporation 82810-DC100 CGC
[Chipset Graphics Controller] (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801AA PCI Bridge (rev 02)
00:1f.0 ISA bridge: Intel Corporation 82801AA ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801AA IDE (rev 02)
00:1f.2 USB Controller: Intel Corporation 82801AA USB (rev 02)
00:1f.3 SMBus: Intel Corporation 82801AA SMBus (rev 02)
01:07.0 Multimedia audio controller: Creative Labs SB Live! EMU10000
(rev 07)
01:07.1 Input device controller: Creative Labs SB Live! (rev 07)
01:0a.0 VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 3 (rev

So I am guessing that the bloody onboard video controller is getting
probed via either APM, X and at the same time the sound is working.
Comment 1 Stephen John Smoogen 2001-03-31 14:28:32 EST
Duplicated on system (whether by luck or design.. I dont know.)

Rebooted system, waited for APM to take system into sleep. 
Logged in with an account with GNOME sound enabled on events
Clicked on applet to trigger sound. 
System hard locks with sound continually playing.
Comment 2 Bernhard Rosenkraenzer 2001-04-03 04:18:47 EDT
Your BIOS is broken. Set RESTORESOUND="yes" in /etc/sysconfig/apmd and 
possibly add your soundcard modules to SOUNDMODULES="...".

Note You need to log in before you can comment on or make changes to this bug.